<?php 
/* Создаем экземпляр класса магазина (при создании устанавливаем флаг необходимости очистки cookie) */
$shops = new shop(true);

$kernel = & singleton('kernel');

$current_shop_id = to_int($GLOBALS['LA']['shop_id']);

// получаем для пути ассоциативный массив с id группы и id/url элемента
$GLOBALS['shop_item_path'] = $shops->GetItemPath($current_shop_id);

/* Если путь существует */
if ($GLOBALS['shop_item_path'])
{
	$group_path='';

	// получаем массив с деревом от текущей группы до корня
	$mas_groups_to_root = $shops->GetShopGroupsToRoot($GLOBALS['shop_item_path']['group'], $current_shop_id);

	// получаем данные о группе
	$row_group=$shops->GetGroup($GLOBALS['shop_item_path']['group']);

	// получаем данные из seo - полей для групп
	$seo_title = trim($row_group['shop_groups_seo_title']);
	$seo_description = trim($row_group['shop_groups_seo_description']);
	$seo_keywords = trim($row_group['shop_groups_seo_keywords']);

	// цикл по массиву с деревом для формирования пути по группам
	$count_groups=count($mas_groups_to_root);

	for ($i = $count_groups - 1; $i >= 0; $i--)
	{

		if ($i < $count_groups-1)
		{
			$group_path .= ' - ';
		}

		if (trim($mas_groups_to_root[$i]['shop_groups_seo_title'])=='')
		{
			$group_path .= $mas_groups_to_root[$i]['shop_groups_name'];
		}
		else
		{
			$group_path .= $mas_groups_to_root[$i]['shop_groups_seo_title'];
		}
	}

	$item_name='';

	/* Если вывод информационного элемента */

	if ($GLOBALS['shop_item_path']['item'])
	{
		// получаем данные о товаре
		$row_item = $shops->GetItem($GLOBALS['shop_item_path']['item']);

		// имя элемента
		$item_name=$row_item['shop_items_catalog_name'];

		// проверяем если seo_title непустой, то в заголовок страницы подставляем его

		if (trim($row_item['shop_items_catalog_seo_title'])!='')
		{
			$item_name=trim($row_item['shop_items_catalog_seo_title']);
		}


		if ($group_path!='')
		{
			$item_name = ' - '. $item_name;
		}
	}

	/* форимируем заголовок страницы */
	$new_title = $group_path.$item_name;
}


if (!empty($new_title))
{
	// отображаем группу

	if (!isset($row_item))
	{
		// Заголовок для группы задан

		if (!empty($seo_title))
		{
			$kernel->set_title($seo_title);
		}
		else // Описание для группы не задано
		{
			$kernel->set_title($new_title);
		}

		// Описание для группы задано

		if (!empty($seo_description))
		{
			$kernel->set_description($seo_description);
		}
		else // Описание для группы не задано
		{
			$kernel->set_description($new_title);
		}
		// Ключевые слова для группы заданы

		if (!empty($seo_keywords))
		{
			$kernel->set_keywords($seo_keywords);
		}
		else // Ключевые слова для группы не заданы
		{
			$kernel->set_keywords($new_title);
		}
	}
	else // отображаем элемент
	{
		// Описание для элемента задано

		if (!empty($row_item['shop_items_catalog_seo_title']))
		{
			$kernel->set_title(trim($row_item['shop_items_catalog_seo_title']));
		}
		else  // Описание для элемента не задано
		{
			$kernel->set_title($new_title);
		}

		// Описание для элемента задано

		if (!empty($row_item['shop_items_catalog_seo_description']))
		{
			$kernel->set_description(trim($row_item['shop_items_catalog_seo_description']));
		}
		else  // Описание для элемента не задано
		{
			$kernel->set_description($new_title);
		}

		// Ключевые слова для элемента заданы

		if (!empty($row_item['shop_items_catalog_seo_keywords']))
		{
			$kernel->set_keywords(trim($row_item['shop_items_catalog_seo_keywords']));
		}
		else // Ключевые слова для элемента не заданы
		{
			$kernel->set_keywords($new_title);
		}
	}
}

?>